## nwg-look 0.2.7

=== Makefile ===
# For alternate install dir (e.g. "/usr/local")
# specify PREFIX in make command:
#   sudo make PREFIX=/usr/local install
# Defaults to "/usr" if not specified.
PREFIX ?= /usr

get:
	go get github.com/gotk3/gotk3
	go get github.com/gotk3/gotk3/gdk
	go get "github.com/sirupsen/logrus"

build:
	go build -v -o bin/nwg-look .

install:
	mkdir -p $(DESTDIR)$(PREFIX)/share/nwg-look
	mkdir -p $(DESTDIR)$(PREFIX)/share/nwg-look/langs
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps

	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/nwg-look
	mkdir -p $(DESTDIR)$(PREFIX)/share/licenses/nwg-look

	cp stuff/main.glade $(DESTDIR)$(PREFIX)/share/nwg-look/
	cp langs/* $(DESTDIR)$(PREFIX)/share/nwg-look/langs/
	cp stuff/nwg-look.desktop $(DESTDIR)$(PREFIX)/share/applications/
	cp stuff/nwg-look.svg $(DESTDIR)$(PREFIX)/share/pixmaps/
	cp bin/nwg-look $(DESTDIR)$(PREFIX)/bin

	cp README.md $(DESTDIR)$(PREFIX)/share/doc/nwg-look
	cp LICENSE $(DESTDIR)$(PREFIX)/share/licenses/nwg-look

uninstall:
	rm -r $(DESTDIR)$(PREFIX)/share/nwg-look
	rm $(DESTDIR)$(PREFIX)/share/applications/nwg-look.desktop
	rm $(DESTDIR)$(PREFIX)/share/pixmaps/nwg-look.svg
	rm $(DESTDIR)$(PREFIX)/bin/nwg-look

run:
	go run .

=== debian/changelog ===
nwg-look (0.2.7-1ubuntu0.24.10.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Jul 2025 09:49:44 +1000

nwg-look (0.2.7-1) unstable; urgency=medium

  * Initial release (Closes: #1073140)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 15 Jun 2024 12:06:22 +0800

=== debian/control ===
Source: nwg-look
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-gotk3-gotk3-dev,
 golang-github-sirupsen-logrus-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/nwg-look
Vcs-Git: https://salsa.debian.org/go-team/packages/nwg-look.git
Homepage: https://github.com/nwg-piotr/nwg-look
XS-Go-Import-Path: github.com/nwg-piotr/nwg-look

Package: nwg-look
Architecture: any
Depends:
 xcur2png,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: GTK3 settings editor for wlroots environments like Sway
 Nwg-look is a GTK3 settings editor, designed to work properly in wlroots-based
 Wayland environment. The look and feel is strongly influenced by LXAppearance,
 but nwg-look is intended to free the user from a few inconveniences:
  - It works natively on Wayland. You no longer need Xwayland, nor strange env
    variables for it to run.
  - It applies gsettings directly, with no need to use workarounds. You don't
    need to set gsettings in the sway config file. You don't need the
    `import-gsettings` script.
 .
 This application is a part of the nwg-shell project.

## nwg-look 1.0.2

=== debian/changelog ===
nwg-look (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * Write a manpage for nwg-look

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Wed, 29 Jan 2025 05:57:59 +0800

nwg-look (0.2.7-2) unstable; urgency=medium

  * Add libglib2.0-bin to Depends (Closes: #1079173)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 24 Aug 2024 12:23:10 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nwg-look
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
 Rules-Requires-Root: no
 Build-Depends:
@@ -22,6 +21,7 @@
 Architecture: any
 Depends:
  xcur2png,
+ libglib2.0-bin,
  ${misc:Depends},
  ${shlibs:Depends},
 Built-Using: ${misc:Built-Using}

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/nwg-piotr/nwg-look/tags \
  .*/v?(\d[\d\.]*)\.tar\.gz
